Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.configuration.spring
Class SpringStoryReporterBuilder

    java.lang.Object
      org.jbehave.core.reporters.StoryReporterBuilder
          org.jbehave.core.configuration.spring.SpringStoryReporterBuilder

    public class SpringStoryReporterBuilder

extends StoryReporterBuilder

Extends `StoryReporterBuilder` to provide getter/setter methods for all builder properties, so it can be used by Spring's property mechanism.

Nested Class Summary

Nested classes/interfaces inherited from class org.jbehave.core.reporters.StoryReporterBuilder
`StoryReporterBuilder.Format, StoryReporterBuilder.ProvidedFormat`

Constructor Summary
`SpringStoryReporterBuilder()`

Method Summary
`URL` | `getCodeLocation()`
`List<Format>` | `getFormats()`
`Keywords` | `getKeywords()`
`String` | `getOutputDirectory()`
`FilePrintStreamFactory.FilePathResolver` | `getPathResolver()`
`String` | `getRelativeDirectory()`
`Properties` | `getViewResources()`
`boolean` | `isMultiThreading()`
`boolean` | `isReportFailureTrace()`
`boolean` | `isReportFailureTraceCompression()`
`void` | `setCodeLocation(URL codeLocation)`
`void` | `setFormats(List<Format> formats)`
`void` | `setKeywords(Keywords keywords)`
`void` | `setMultiThreading(boolean multiThreading)`
`void` | `setPathResolver(FilePrintStreamFactory.FilePathResolver pathResolver)`
`void` | `setRelativeDirectory(String relativeDirectory)`
`void` | `setReportFailureTrace(boolean reportFailureTrace)`
`void` | `setReportFailureTraceCompression(boolean reportFailureTraceCompression)`
`void` | `setViewResources(Properties viewResources)`

Methods inherited from class org.jbehave.core.reporters.StoryReporterBuilder
`build, build, codeLocation, compressFailureTrace, crossReference, fileConfiguration, filePrintStreamFactory, formatNames, formats, hasCrossReference, keywords, multiThreading, outputDirectory, pathResolver, relativeDirectory, reporterFor, reporterFor, reportFailureTrace, viewResources, withCodeLocation, withCrossReference, withDefaultFormats, withFailureTrace, withFailureTraceCompression, withFormats, withFormats, withKeywords, withMultiThreading, withPathResolver, withRelativeDirectory, withReporters, withViewResources`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringStoryReporterBuilder

    public SpringStoryReporterBuilder()

Method Detail

### getFormats

    public List<Format> getFormats()

### setFormats

    public void setFormats(List<Format> formats)

### getOutputDirectory

    public String getOutputDirectory()

### getRelativeDirectory

    public String getRelativeDirectory()

### setRelativeDirectory

    public void setRelativeDirectory(String relativeDirectory)

### getCodeLocation

    public URL getCodeLocation()

### setCodeLocation

    public void setCodeLocation(URL codeLocation)

### getKeywords

    public Keywords getKeywords()

### setKeywords

    public void setKeywords(Keywords keywords)

### getPathResolver

    public FilePrintStreamFactory.FilePathResolver getPathResolver()

### setPathResolver

    public void setPathResolver(FilePrintStreamFactory.FilePathResolver pathResolver)

### isReportFailureTrace

    public boolean isReportFailureTrace()

### setReportFailureTrace

    public void setReportFailureTrace(boolean reportFailureTrace)

### isReportFailureTraceCompression

    public boolean isReportFailureTraceCompression()

### setReportFailureTraceCompression

    public void setReportFailureTraceCompression(boolean reportFailureTraceCompression)

### getViewResources

    public Properties getViewResources()

### setViewResources

    public void setViewResources(Properties viewResources)

### isMultiThreading

    public boolean isMultiThreading()

### setMultiThreading

    public void setMultiThreading(boolean multiThreading)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.